Bug 892896 - can't configure wifi connection to WPA2 Enterprise networks
can't configure wifi connection to WPA2 Enterprise networks
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-08 02:38 EST by Michal Kovarik
Modified: 2015-06-29 21:21 EDT (History)
11 users (show)

See Also:
Fixed In Version: anaconda-22.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 21:21:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Kovarik 2013-01-08 02:38:57 EST
Description of problem:
System without ethernet connection, only wireless. After select language(English), system asked for network. Select wireless, select network name and click on 'Configure...' button - nothing. So I can connect only to unsecure wireless.

Version-Release number of selected component (if applicable):
Fedora 18 RC1

How reproducible:
Always

Steps to Reproduce:
1. start installation, select language
2. click on Wireless, select Network name
3. clict on Configure button
  
Actual results:
nothing

Expected results:
dialog for network configuration

Additional info:
Comment 1 Kamil Páral 2013-01-08 03:22:01 EST
I can't confirm this. When I click to configure button, a dialog appears and I can enter the wifi password. The wifi is then connected.

F18 RC1 netinst x86_64
Comment 2 Michal Kovarik 2013-01-08 04:14:06 EST
This issue appeared on wifi network with:
Security: WPA & WPA2 Enterprise
Authentication: PEAP
PEAP version: Version 1
Inner authentication: GTC

Network with 'WPA & WPA2 Personal' works for me
Comment 3 Radek Vykydal 2013-01-08 04:21:20 EST
Yes, for "Security: WPA & WPA2 Enterprise" we need a secrets agent, see bug #855526 comment #51.
Comment 4 Adam Williamson 2013-01-14 20:54:03 EST
For commonbugs purposes, is this a regression from f17? did f17 have this support?
Comment 5 Radek Vykydal 2013-01-15 04:12:34 EST
No, F17 did not support it.
Comment 6 Adam Huffman 2013-04-11 05:35:56 EDT
Just a note that I tried F19 Alpha RC2 yesterday and the configure button was inactive for a WPA network.
Comment 7 Paul Martin 2013-06-12 13:09:47 EDT
I can verify that WPA2 Enterprise with PEAP and MSCHAPv2 cannot connect successfully with Fedora 19 Beta while early on in 19 alpha it did work. It also works on the same hardware(HP dv6t quad from 2012) with Fedora 18.

relevant logs from "/var/log/messages":

Jun 12 09:06:20 Moby NetworkManager[481]: <info> Activation (wlo1) starting connection 'eduroam'
Jun 12 09:06:20 Moby NetworkManager[481]: <info> (wlo1): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Jun 12 09:06:20 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 1 of 5 (Device Prepare) scheduled...
Jun 12 09:06:20 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 1 of 5 (Device Prepare) started...
Jun 12 09:06:20 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 2 of 5 (Device Configure) scheduled...
Jun 12 09:06:20 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 1 of 5 (Device Prepare) complete.
Jun 12 09:06:20 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 2 of 5 (Device Configure) starting...
Jun 12 09:06:20 Moby NetworkManager[481]: <info> (wlo1): device state change: prepare -> config (reason 'none') [40 50 0]
Jun 12 09:06:20 Moby NetworkManager[481]: <info> Activation (wlo1/wireless): access point 'eduroam' has security, but secrets are required.
Jun 12 09:06:20 Moby NetworkManager[481]: <info> (wlo1): device state change: config -> need-auth (reason 'none') [50 60 0]
Jun 12 09:06:20 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 2 of 5 (Device Configure) complete.
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 1 of 5 (Device Prepare) scheduled...
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 1 of 5 (Device Prepare) started...
Jun 12 09:06:22 Moby NetworkManager[481]: <info> (wlo1): device state change: need-auth -> prepare (reason 'none') [60 40 0]
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 2 of 5 (Device Configure) scheduled...
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 1 of 5 (Device Prepare) complete.
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 2 of 5 (Device Configure) starting...
Jun 12 09:06:22 Moby NetworkManager[481]: <info> (wlo1): device state change: prepare -> config (reason 'none') [40 50 0]
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Activation (wlo1/wireless): connection 'eduroam' has security, and secrets exist.  No new secrets needed.
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Config: added 'ssid' value 'eduroam'
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Config: added 'scan_ssid' value '1'
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Config: added 'key_mgmt' value 'WPA-EAP'
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Config: added 'proto' value 'WPA RSN'
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Config: added 'password' value '<omitted>'
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Config: added 'eap' value 'PEAP'
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Config: added 'fragment_size' value '1300'
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Config: added 'phase2' value 'auth=MSCHAPV2'
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Config: added 'ca_cert' value '/home/paul/.local/share/certs/GlobalSign Root CA.crt'
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Config: added 'identity' value '***@students.calvin.edu'
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Config: added 'bgscan' value 'simple:30:-45:300'
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Config: added 'proactive_key_caching' value '1'
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 2 of 5 (Device Configure) complete.
Jun 12 09:06:22 Moby NetworkManager[481]: <info> Config: set interface ap_scan to 1
Jun 12 09:06:22 Moby NetworkManager[481]: <info> (wlo1): supplicant interface state: disconnected -> scanning
Jun 12 09:06:22 Moby /etc/gdm/Xsession[1031]: Window manager warning: Log level 8: g_value_get_string: assertion `G_VALUE_HOLDS_STRING (value)' failed
Jun 12 09:06:23 Moby kernel: [ 1138.502067] wlo1: authenticate with 00:21:d8:7d:d3:e5
Jun 12 09:06:23 Moby kernel: [ 1138.516817] wlo1: send auth to 00:21:d8:7d:d3:e5 (try 1/3)
Jun 12 09:06:23 Moby NetworkManager[481]: <info> (wlo1): supplicant interface state: scanning -> authenticating
Jun 12 09:06:23 Moby kernel: [ 1138.520372] wlo1: authenticated
Jun 12 09:06:23 Moby kernel: [ 1138.521951] wlo1: associate with 00:21:d8:7d:d3:e5 (try 1/3)
Jun 12 09:06:23 Moby kernel: [ 1138.525050] wlo1: RX AssocResp from 00:21:d8:7d:d3:e5 (capab=0x431 status=0 aid=35)
Jun 12 09:06:23 Moby kernel: [ 1138.525622] wlo1: associated
Jun 12 09:06:23 Moby NetworkManager[481]: <info> (wlo1): supplicant interface state: authenticating -> associated
Jun 12 09:06:23 Moby kernel: [ 1138.527128] cfg80211: Calling CRDA for country: US
Jun 12 09:06:23 Moby kernel: [ 1138.543944] cfg80211: Regulatory domain changed to country: US
Jun 12 09:06:23 Moby kernel: [ 1138.543948] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jun 12 09:06:23 Moby kernel: [ 1138.543949] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Jun 12 09:06:23 Moby kernel: [ 1138.543951] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Jun 12 09:06:23 Moby kernel: [ 1138.543952] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:23 Moby kernel: [ 1138.543953] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:23 Moby kernel: [ 1138.543954] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:23 Moby kernel: [ 1138.543955] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Jun 12 09:06:23 Moby kernel: [ 1138.543956] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
Jun 12 09:06:48 Moby kernel: [ 1163.493241] wlo1: deauthenticating from 00:21:d8:7d:d3:e5 by local choice (reason=3)
Jun 12 09:06:48 Moby NetworkManager[481]: <warn> Activation (wlo1/wireless): association took too long.
Jun 12 09:06:48 Moby NetworkManager[481]: <info> (wlo1): device state change: config -> need-auth (reason 'none') [50 60 0]
Jun 12 09:06:48 Moby NetworkManager[481]: <warn> Activation (wlo1/wireless): asking for new secrets
Jun 12 09:06:48 Moby kernel: [ 1163.513165] cfg80211: Calling CRDA to update world regulatory domain
Jun 12 09:06:48 Moby NetworkManager[481]: <warn> Connection disconnected (reason -3)
Jun 12 09:06:48 Moby NetworkManager[481]: <info> (wlo1): supplicant interface state: associated -> disconnected
Jun 12 09:06:48 Moby NetworkManager[481]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.
Jun 12 09:06:48 Moby NetworkManager[481]: <warn> Connection disconnected (reason -3)
Jun 12 09:06:48 Moby kernel: [ 1163.525406] cfg80211: World regulatory domain updated:
Jun 12 09:06:48 Moby kernel: [ 1163.525410] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jun 12 09:06:48 Moby kernel: [ 1163.525412] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:48 Moby kernel: [ 1163.525414] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:48 Moby kernel: [ 1163.525417] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:48 Moby kernel: [ 1163.525419] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:48 Moby kernel: [ 1163.525421] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:48 Moby kernel: [ 1163.525782] cfg80211: Calling CRDA for country: US
Jun 12 09:06:48 Moby kernel: [ 1163.536188] cfg80211: Regulatory domain changed to country: US
Jun 12 09:06:48 Moby kernel: [ 1163.536192] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jun 12 09:06:48 Moby kernel: [ 1163.536195] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Jun 12 09:06:48 Moby kernel: [ 1163.536197] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Jun 12 09:06:48 Moby kernel: [ 1163.536199] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:48 Moby kernel: [ 1163.536201] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:48 Moby kernel: [ 1163.536203] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:48 Moby kernel: [ 1163.536205] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Jun 12 09:06:48 Moby kernel: [ 1163.536208] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 1 of 5 (Device Prepare) scheduled...
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 1 of 5 (Device Prepare) started...
Jun 12 09:06:56 Moby NetworkManager[481]: <info> (wlo1): device state change: need-auth -> prepare (reason 'none') [60 40 0]
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 2 of 5 (Device Configure) scheduled...
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 1 of 5 (Device Prepare) complete.
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 2 of 5 (Device Configure) starting...
Jun 12 09:06:56 Moby NetworkManager[481]: <info> (wlo1): device state change: prepare -> config (reason 'none') [40 50 0]
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Activation (wlo1/wireless): connection 'eduroam' has security, and secrets exist.  No new secrets needed.
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Config: added 'ssid' value 'eduroam'
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Config: added 'scan_ssid' value '1'
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Config: added 'key_mgmt' value 'WPA-EAP'
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Config: added 'proto' value 'WPA RSN'
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Config: added 'password' value '<omitted>'
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Config: added 'eap' value 'PEAP'
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Config: added 'fragment_size' value '1300'
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Config: added 'phase2' value 'auth=MSCHAPV2'
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Config: added 'ca_cert' value '/home/paul/.local/share/certs/GlobalSign Root CA.crt'
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Config: added 'identity' value '***@students.calvin.edu'
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Config: added 'bgscan' value 'simple:30:-45:300'
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Config: added 'proactive_key_caching' value '1'
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Activation (wlo1) Stage 2 of 5 (Device Configure) complete.
Jun 12 09:06:56 Moby NetworkManager[481]: <info> Config: set interface ap_scan to 1
Jun 12 09:06:56 Moby NetworkManager[481]: <info> (wlo1): supplicant interface state: disconnected -> scanning
Jun 12 09:06:56 Moby /etc/gdm/Xsession[1031]: Window manager warning: Log level 8: g_value_get_string: assertion `G_VALUE_HOLDS_STRING (value)' failed
Jun 12 09:06:57 Moby kernel: [ 1172.957026] wlo1: authenticate with 00:21:d8:7d:d3:e5
Jun 12 09:06:57 Moby kernel: [ 1172.970759] wlo1: send auth to 00:21:d8:7d:d3:e5 (try 1/3)
Jun 12 09:06:57 Moby kernel: [ 1172.972132] wlo1: authenticated
Jun 12 09:06:57 Moby NetworkManager[481]: <info> (wlo1): supplicant interface state: scanning -> authenticating
Jun 12 09:06:57 Moby kernel: [ 1172.973189] wlo1: associate with 00:21:d8:7d:d3:e5 (try 1/3)
Jun 12 09:06:57 Moby kernel: [ 1172.975926] wlo1: RX AssocResp from 00:21:d8:7d:d3:e5 (capab=0x431 status=0 aid=35)
Jun 12 09:06:57 Moby kernel: [ 1172.976714] wlo1: associated
Jun 12 09:06:57 Moby kernel: [ 1172.977719] cfg80211: Calling CRDA for country: US
Jun 12 09:06:57 Moby NetworkManager[481]: <info> (wlo1): supplicant interface state: authenticating -> associated
Jun 12 09:06:57 Moby kernel: [ 1172.987086] cfg80211: Regulatory domain changed to country: US
Jun 12 09:06:57 Moby kernel: [ 1172.987089] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jun 12 09:06:57 Moby kernel: [ 1172.987090] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Jun 12 09:06:57 Moby kernel: [ 1172.987091] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Jun 12 09:06:57 Moby kernel: [ 1172.987093] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:57 Moby kernel: [ 1172.987094] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:57 Moby kernel: [ 1172.987095] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:06:57 Moby kernel: [ 1172.987096] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Jun 12 09:06:57 Moby kernel: [ 1172.987097] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
Jun 12 09:07:22 Moby kernel: [ 1197.473520] wlo1: deauthenticating from 00:21:d8:7d:d3:e5 by local choice (reason=3)
Jun 12 09:07:22 Moby NetworkManager[481]: <warn> Activation (wlo1/wireless): association took too long.
Jun 12 09:07:22 Moby NetworkManager[481]: <info> (wlo1): device state change: config -> need-auth (reason 'none') [50 60 0]
Jun 12 09:07:22 Moby NetworkManager[481]: <warn> Activation (wlo1/wireless): asking for new secrets
Jun 12 09:07:22 Moby kernel: [ 1197.490529] cfg80211: Calling CRDA to update world regulatory domain
Jun 12 09:07:22 Moby NetworkManager[481]: <warn> Connection disconnected (reason -3)
Jun 12 09:07:22 Moby NetworkManager[481]: <info> (wlo1): supplicant interface state: associated -> disconnected
Jun 12 09:07:22 Moby NetworkManager[481]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.
Jun 12 09:07:22 Moby kernel: [ 1197.500455] cfg80211: World regulatory domain updated:
Jun 12 09:07:22 Moby kernel: [ 1197.500459] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jun 12 09:07:22 Moby kernel: [ 1197.500462] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:07:22 Moby kernel: [ 1197.500464] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:07:22 Moby kernel: [ 1197.500466] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:07:22 Moby kernel: [ 1197.500469] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:07:22 Moby kernel: [ 1197.500471] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:07:22 Moby NetworkManager[481]: <warn> Connection disconnected (reason -3)
Jun 12 09:07:22 Moby kernel: [ 1197.502487] cfg80211: Calling CRDA for country: US
Jun 12 09:07:22 Moby kernel: [ 1197.514516] cfg80211: Regulatory domain changed to country: US
Jun 12 09:07:22 Moby kernel: [ 1197.514520] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jun 12 09:07:22 Moby kernel: [ 1197.514523] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Jun 12 09:07:22 Moby kernel: [ 1197.514525] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Jun 12 09:07:22 Moby kernel: [ 1197.514527] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:07:22 Moby kernel: [ 1197.514529] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:07:22 Moby kernel: [ 1197.514531] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 12 09:07:22 Moby kernel: [ 1197.514533] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Jun 12 09:07:22 Moby kernel: [ 1197.514535] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
Comment 8 Adam Williamson 2013-06-12 14:15:19 EDT
rvykydal, what's the current status exactly? is it plausible that this worked in Alpha but broke in Beta? If so, do we want to fix it for Final? Thanks!
Comment 9 Radek Vykydal 2013-06-13 08:07:41 EDT
Martin, are you talking about LiveCD installation?

If so, did you use Live desktop environment tools or installer network configuration screen to set up the connection?
Comment 10 Paul Martin 2013-06-16 18:12:05 EDT
In my case, I had installed using a fedora 18 network installer(19 alpha did not have a working partition manager at the time) and simply chose the fedora 19 repo. This was still in the alpha. When I installed wifi worked fine. later after an update sometime in early April, connecting to enterprise wifi stopped working, however I was still able to connect to unencrypted, and standard WPA2 networks. This is still the case today in Fedora 19 beta, which I reinstalled using the fedora 19 alpha cd and updated after the change to beta. 

So to answer your question, When I installed I may have used wifi, and I may have used ethernet, but I had no trouble using wifi at that time. It was only after the update that any trouble with wifi, and then only Enterprise 802.1x WPA2 encripted wifi. Hope that helps.
Comment 11 Paul Martin 2013-06-16 18:13:31 EDT
For whatever it is worth, i am writing this from Fedora 18 over the same 802.1x enterprise wifi, so whatever is wrong with Fedora 19 is not wrong with updated Fedora 18.
Comment 12 Radek Vykydal 2013-06-17 04:40:39 EDT
If the problem appeared after update then it is not actually installer issue. Please file a bug against NetworkManager which may pass it to the tool that is failing in your case (gnome-control-center?) Anaconda doesn't support installation over WPA Enterprise at this time (only from LiveCD using live environment network configuration tools it might work).
Comment 13 Radek Vykydal 2013-06-25 11:35:41 EDT
Status update: we have secrets agent in F19. We should be able to use wpa enterprise secrets dialog from libnm-gtk but we are hitting this issue https://bugzilla.gnome.org/show_bug.cgi?id=702762. We wait for helper functions from NM to overcome it.
Comment 14 aaronsloman 2013-07-17 19:41:59 EDT
I had what seemed to be this problem, and by luck I seem to have fixed it by hand editing a file. My symptoms may give a clue as to what's going wrong.

My report is long-winded to provide as much information as I can think of that may be helpful, to other users and to system maintainers.

Background:
I had previously used 32 bit Fedora 17 on a Dell latitude E6410 with corei5, and wanted to try 64 bit Fedora, so in June 2013 I installed Fedora 18 from this CD:

   Fedora-18-x86_64-Live-LXDE.iso

using a cable connection to update and expand the installation.

I always boot into non-graphical multi-user mode (3) which is best for maintenance, testing, etc. and then run startx, with ~/.xinitrc launching the ctwm window manager (or sometimes openbox for testing) after starting up other things, e.g. pulseaudio. 

I then tried switching from cable to wifi using wicd, as Wicd's user interface is much better than NM's, and doesn't depend on a panel permanently cluttering up my precious screen space as required by nm-applet.

But I could not get wicd to connect, so gave up and tried NM, invoked by 'gnome-control-center network' (why isn't there a command for it, which could be found more easily, e.g. gnome-network-manager ???)

Anyhow, NM allowed me to connect to my wifi router and also a mobile wifi device, both using WPA-PSK. It has also connected at hotels, and other sides with unprotected wifi.

However I had trouble getting it to work with our campus wifi system and with eduroam (the cross-national, multi-campus network), both of which had previously worked with F17 until around May. (I don't know why I stopped being able to connect with F17).

On campus I could connect to enterprise wifi, with Fedora 18, by invoking nm-connection-editor either directly or via the above gnome command, which invoked nm-connection editor if I click on > on the right, and then on 'settings'.

That allowed me to insert and save almost all the information for the Enterprise networks (using PEAP, MSCHAPV2), including my user name, all of which it remembered across sessions.

But it failed to remember my password. So every time I lost the connection and had to restart, I had to go into the connection editor, type my password, click 'save', and it would connect.

(I think clicking on 'connect' after saving prevented the connection working! I had to go back into edit mode and reinsert the password. One of several interface bugs in NM's tools.)

I had all the required information in /etc/wpa_supplicant/wpa_supplicant.conf which had previously sufficed for all my wifi connections, but that was clearly being ignored.

I also found that when I went into edit mode for the enterprise wifi connections I got a stream of error messages about privileges (which I would not have seen if I had launched via a window manager menu or panel). Running it as superuser or using sudo made no difference. Nevertheless it would let me insert the password for an enterprise connection.

However I could edit non-Enterprise wifi connections without any problems, and it saved the new passwords.

I tried getting help on how to save enterprise-wifi passwords. There were suggestions from many sites on the internet where other people were reporting problems using NetworkManager, including problems saving passwords.

I found hints mentioning gnome-keyring, dbus-launch, polkit, and possibly others. The suggestions either did not work, or were so vague as to make it unclear exactly what action I could take (e.g. using polkit). I have not kept records of all the places I looked, some from Fedora, others Arch Linux, gnome, various user forums, etc.

Eventually I started looking on my machine for changes in files since F17 and earlier, and found that the ifcfg files in /etc/sysconfig/network_scripts instead of being linked to interfaces as in the distant past (ifcfg-em1, ifcfg-wlan0) were linked to essids. Then I found that the files for non-enterprise wifi had my passwords stored in associated 'keys-essid' files, but the enterprise files had this in 'ifcfg-essid'.

  IEEE_8021X_PASSWORD_FLAGS=user

After a bit of trial and error I hit on changing that to

  IEEE_8021X_PASSWORD=<my-password>

and after that everything changed. In the connection editor the password was already included (though obscured), and I no longer got the warning messages about security when attempting to edit the connection
in the connection editor.

However, for the home Wifi connection (WPA-PSK) the password was not in the file ifcfg-essid, which is world readable, but in keys-essid, which is only root readable.

So I transferred the password entries from ifcf-essid to keys-essid. I was still able to invoke the connection-editor and the passwords had clearly been found.

I then tried not doing it as superuser, and got a complaint

  ** (nm-connection-editor:6176): CRITICAL **: unable to create file
'      /run/user/1003/dconf/user': Permission denied.  dconf will not work properly.
 
So I looked in /run/user/1003/dconf/ and found the 1003 directory and its contents owned by root. I changed that to being owned by me and the error message from nm-connection-editor disappeared., 

What a mess!

Since getting to this stage I have not been on campus and tried connecting, but it connected yesterday every time I typed the password into the field, so I expect it wll connect if the password is already there. If not I'll report back here.

I can't believe that all that hand-editing is supposed to be required.

It looks as if there are new systems that are slightly different in different versions of linux.

I looked for another fedora bug report collecting all these issues and could not find one.
Comment 15 aaronsloman 2013-07-18 10:23:30 EDT
I wrote: "Since getting to this stage I have not been on campus and tried connecting, but it connected yesterday every time I typed the password into the field, so I expect it wll connect if the password is already there."

This is just to confirm that it worked. On campus my computer connected automatically after being turned on, sometimes to eduroam sometimes to the campus enterprise wifi system. 

So at least F18 (and F19?) users who are complaining about difficulty with passwords can do what I had to do. Hopefully someone will fix the user interface tools so that they work properly and users do not have to edit files by hand.

I suspect that the generic NM tools are designed for the file formats used by debian, Ubuntu, etc. So someone needs to produce a version of nm-connection editor that knows which files to edit on Fedora/Redhat systems
and ensure that the right privileges are set.

Ideally, at the bottom level there should be a tool that can be accessed at the command line, either by providing a list of arguments specifying a new wifi connection, or by being given a file with several lists, one per line.

(nmcli partially supports this, but according to the man file only handles WEP and WPA-PSK connections), and can't be given a file of connections to set up.

Such a file could then easily be copied from one machine to another, or one OS to another, saving users a lot of hassle setting up connections when moving to a new wifi-capable machine, or installing a new OS. Compare the 'newusers' command.

My own programming experience is of a very different kind and I don't know much about the innards of NM, so I can't offer to help.
Comment 16 Adam Williamson 2013-07-18 12:07:18 EDT
"I suspect that the generic NM tools are designed for the file formats used by debian, Ubuntu, etc."

Given that the primary maintainer of NM works for Red Hat, I doubt that.
Comment 17 aaronsloman 2013-07-19 09:24:25 EDT
(In reply to Adam Williamson from comment #16)
> "I suspect that the generic NM tools are designed for the file formats used
> by debian, Ubuntu, etc."
> 
> Given that the primary maintainer of NM works for Red Hat, I doubt that.

Thanks for the interesting information. It raises my hopes that the problems I encountered will be fixed.

But it also leaves me more puzzled that they occurred at all. I would expect a Fedora/Redhat designed system to work in all fedora configurations.

At one point I thought that perhaps my attempt to get wicd working had clobbered NetworkManager, so I tried removing Wicd and reinstalling NM and several apparently related packages, but that still did not allow me to set up enterprise Wifi (PEAP+MSCHAPSv2, etc.) with a stored password.

The fact that the mechanism to support that already exists (as described in comment #14 above) and all it needs is one of the lines removed from the ifcfg-xxxx file and a new line inserted in the keys-xxxx file, as is already done for non-enterprise wifi, though with a slightly different format, suggests that it should be fairly simple to make NM cope with this case. 

Perhaps the problem blocking this is not in NM but in some permissions system that does not understand the layout of Fedora/Redhat files for networking?

If so, until the permissions system is fixed, NM users should have a clear option to bypass the permissions mechanism. The option could be displayed by nm-connections-editor, requiring root (or wheel??) privilege.

That would be much better than the current stream of error messages and the failure to save the password (even though it uses it to make a connection).

Apologies if I've totally misunderstood what's going on, as a mere user.
Comment 18 aaronsloman 2013-09-06 20:46:51 EDT
For a couple of weeks I thought I had the perfect fix, enabling connection to enterprise Wifi (eduroam and our campus wifi syste) by editing files ifcfg-xxx and keys-xxx for connection xxx, as explained in an earlier comment.

Then suddenly it stopped working and nothing I have been able to do fixes the problem. I've had a kernel upgrade, to 3.10.10-100.fc18.x86_64 and several other updates which happened semi-automatically. I am now using NM version NetworkManager-0.9.8.2-1.fc18.x86_64 and that has not changed since late July, so if the problem is an update it is in some other package.

I've been wondering whether the UUID lines in the ifcfg-xxx files need to be updated, e.g. UUID=18c3bd71-0cad-473e-bb86-1788a3921660

I can't find anything those UUID values relate to.

I've asked colleagues if they have had problems with enterprise wifi, but so far they say it works fine, but they use Ubuntu not Fedora.

I wonder if something outside NM has now changed and is interacting badly with NM. I tried going back to wicd, but it also failed to connect. 

It's all very frustrating.
Comment 19 aaronsloman 2013-09-09 11:22:01 EDT
(In reply to aaronsloman from comment #18)
> Then suddenly it stopped working and nothing I have been able to do fixes
> the problem. 

Today it is working again, after I changed my login password and edited it into the file /etc/sysconfig/network-scripts/keys-XXX

This time I did not use the output of wpa_passphrase : I typed the (new) password in clear ascii into the keys files. So perhaps something had changed to stop the encrypted versions working. 

Mystified.
Comment 20 Fedora End Of Life 2013-12-21 05:15:18 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Radek Vykydal 2015-03-09 11:42:33 EDT
WPA2 Enterprise should be available in F22.
The secrets need to be configured via connection editor though (clicking Configure button after selecting AP in combobox).
Comment 22 Fedora End Of Life 2015-05-29 04:50:41 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 23 aaronsloman 2015-05-29 06:15:30 EDT
(In reply to Radek Vykydal from comment #21)
> WPA2 Enterprise should be available in F22.
> The secrets need to be configured via connection editor though (clicking
> Configure button after selecting AP in combobox).

Does this mean it will be impossible to set up enterprise wifi connection if I start up F22 in text-only mode (run level 3), which I sometimes prefer to do, e.g. for maintenance work?
Comment 24 Radek Vykydal 2015-06-01 06:01:57 EDT
(In reply to aaronsloman from comment #23)
> (In reply to Radek Vykydal from comment #21)
> > WPA2 Enterprise should be available in F22.
> > The secrets need to be configured via connection editor though (clicking
> > Configure button after selecting AP in combobox).

This only regards installer.

> 
> Does this mean it will be impossible to set up enterprise wifi connection if
> I start up F22 in text-only mode (run level 3), which I sometimes prefer to
> do, e.g. for maintenance work?

I don't know what is the situation wrt text mode tools available in installed system  (nmcli, nmtui, ...?) usable for WPA2 Enterprise.
Comment 25 Fedora End Of Life 2015-06-29 21:21:56 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.